//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Forms.hpp>
#include "FBarcode.hpp"
#include <FMX.Controls.Presentation.hpp>
#include <FMX.Edit.hpp>
#include <FMX.ListBox.hpp>
#include <FMX.StdCtrls.hpp>
#include <FMX.Types.hpp>
#include <FMX.ExtCtrls.hpp>
#include <FMX.Layouts.hpp>
#include <FMX.Objects.hpp>
#include <FMX.Ani.hpp>
#include <FMX.Colors.hpp>
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:  // IDE-managed Components
  TComboBox *ComboBox;
  TEdit *Edit;
  TFBarcode *FBarcode;
  TLabel *LabelError;
  TPanel *PanelBarcode;
  TImage *Image;
  TColorAnimation *ColorAnimation1;
  TPanel *PanelColor;
  TComboColorBox *ComboColorBoxBackColor;
  TComboColorBox *ComboColorBoxForeColor;
  TTrackBar *TrackBar;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall TrackBarChange(TObject *Sender);
  void __fastcall ComboBoxChange(TObject *Sender);
  void __fastcall ComboColorBoxBackColorChange(TObject *Sender);
  void __fastcall ComboColorBoxForeColorChange(TObject *Sender);
  void __fastcall EditChange(TObject *Sender);
  void __fastcall EditTyping(TObject *Sender);
private:  // User declarations
  float Scale;
  void ShowBarcode(void);
public:    // User declarations
  __fastcall TFormMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
